Anyway to kick of updates manually?

The update plugin keeps failing and Im not even sure how to make it kick off a second time. any way to manually kick off the updates?

https://twitter.com/pwnagotchi/status/1203321283305443329

Thanks. Im gonna document it here for anyone else. Twitter is kinda a strange place to find this answer.

cd /usr/local/src/pwnagotchi/
sudo git pull
sudo pip3 install .
sudo reboot

I followed this process and while the system is saying it has been updated to 1.4.1 There are no graphs on the plugin pages - the button layout is not correct and worse of all my pwnagotchi is not sniffin APs anymore. It appears to be doing everything correctly from the waveshare but it never actually pwns anything.

any ideas short of doing a full wipe?

Check the pwnagotchi.log in /var/log if something goes wrong when pwnagotchi start

[2019-12-09 02:57:21,665] [INFO] [epoch 0] duration=00:00:03 slept_for=00:00:00 blind=0 inactive=1 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=92% mem=20% temperature=37C reward=-0.2
[2019-12-09 02:57:58,905] [INFO] [epoch 1] duration=00:00:37 slept_for=00:00:30 blind=0 inactive=2 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=95% mem=20% temperature=40C reward=-0.2
[2019-12-09 02:59:03,982] [WARNING] From /usr/lib/python3/dist-packages/tensorflow/init.py:98: The name tf.AUTO_REUSE is deprecated. Please use tf.compat.v1.AUTO_REUSE instead.

[2019-12-09 02:59:03,991] [WARNING] From /usr/lib/python3/dist-packages/tensorflow/init.py:98: The name tf.AttrValue is deprecated. Please use tf.compat.v1.AttrValue instead.

[2019-12-09 02:59:03,998] [WARNING] From /usr/lib/python3/dist-packages/tensorflow/init.py:98: The name tf.COMPILER_VERSION is deprecated. Please use tf.version.COMPILER_VERSION instead.

[2019-12-09 02:59:04,002] [WARNING] From /usr/lib/python3/dist-packages/tensorflow/init.py:98: The name tf.CXX11_ABI_FLAG is deprecated. Please use tf.sysconfig.CXX11_ABI_FLAG instead.

[2019-12-09 02:59:04,007] [WARNING] From /usr/lib/python3/dist-packages/tensorflow/init.py:98: The name tf.ConditionalAccumulator is deprecated. Please use tf.compat.v1.ConditionalAccumulator instead.

[2019-12-09 02:59:12,897] [INFO] [epoch 2] duration=00:01:13 slept_for=00:01:00 blind=0 inactive=3 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=97% mem=40% temperature=41C reward=-0.2
[2019-12-09 02:59:59,325] [INFO] [ai] creating model …
[2019-12-09 02:59:59,657] [WARNING] From /usr/local/lib/python3.7/dist-packages/stable_baselines/common/policies.py:421: flatten (from tensorflow.python.layers.core) is deprecated and will be removed in a future version.
Instructions for updating:
Use keras.layers.flatten instead.
[2019-12-09 02:59:59,679] [WARNING] From /usr/lib/python3/dist-packages/tensorflow_core/python/layers/core.py:333: Layer.apply (from tensorflow.python.keras.engine.base_layer) is deprecated and will be removed in a future version.
Instructions for updating:
Please use layer.__call__ method instead.
[2019-12-09 02:59:59,880] [WARNING] From /usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/api/_v1/estimator/init.py:10: The name tf.estimator.inputs is deprecated. Please use tf.compat.v1.estimator.inputs instead.

[2019-12-09 03:00:30,358] [INFO] [epoch 3] duration=00:01:17 slept_for=00:01:00 blind=0 inactive=4 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=98% mem=40% temperature=42C reward=-0.2
[2019-12-09 03:01:43,099] [INFO] [epoch 4] duration=00:01:12 slept_for=00:01:00 blind=0 inactive=5 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=98% mem=40% temperature=43C reward=-0.2
[2019-12-09 03:02:56,542] [INFO] [epoch 5] duration=00:01:13 slept_for=00:01:00 blind=0 inactive=6 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=99% mem=50% temperature=43C reward=-0.2
[2019-12-09 03:04:09,058] [INFO] [epoch 6] duration=00:01:12 slept_for=00:01:00 blind=0 inactive=7 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=99% mem=50% temperature=44C reward=-0.2
[2019-12-09 03:04:43,349] [WARNING] From /usr/local/lib/python3.7/dist-packages/stable_baselines/a2c/a2c.py:135: The name tf.summary.scalar is deprecated. Please use tf.compat.v1.summary.scalar instead.

Whats strange is that the plugin switches now look correct on the plugin page… but I have no graphs anywhere

…has to click on the “Session Stats” text on the plug in… I got it.

Still not pwning anything though. I am in my controlled environment with plenty to deauth and pwn. I cleared out my handshake folder for this test. It seems to be running but no pwns.

Dec 09 03:11:53 harold pwnagotchi-launcher[590]: [2019-12-09 03:11:53,579] [INFO] [epoch 2] duration=00:01:13 slept_for=00:01:00 blind=0 inactive=3 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=78% mem=40% temperature=45C reward=-0.2
Dec 09 03:12:35 harold pwnagotchi-launcher[590]: [2019-12-09 03:12:35,664] [INFO] [ai] creating model …
Dec 09 03:12:36 harold pwnagotchi-launcher[590]: [2019-12-09 03:12:36,021] [WARNING] From /usr/local/lib/python3.7/dist-packages/stable_baselines/common/policies.py:421: flatten (from tensorflow.python.layers.core) is deprecated and will be removed in a future version.
Dec 09 03:12:36 harold pwnagotchi-launcher[590]: Instructions for updating:
Dec 09 03:12:36 harold pwnagotchi-launcher[590]: Use keras.layers.flatten instead.
Dec 09 03:12:36 harold pwnagotchi-launcher[590]: [2019-12-09 03:12:36,058] [WARNING] From /usr/lib/python3/dist-packages/tensorflow_core/python/layers/core.py:333: Layer.apply (from tensorflow.python.keras.engine.base_layer) is deprecated and will be removed in a future version.
Dec 09 03:12:36 harold pwnagotchi-launcher[590]: Instructions for updating:
Dec 09 03:12:36 harold pwnagotchi-launcher[590]: Please use layer.__call__ method instead.
Dec 09 03:12:36 harold pwnagotchi-launcher[590]: [2019-12-09 03:12:36,301] [WARNING] From /usr/local/lib/python3.7/dist-packages/tensorflow_estimator/python/estimator/api/_v1/estimator/init.py:10: The name tf.estimator.inputs is deprecated. Please use tf.compat.v1.estimator.inputs instead.
Dec 09 03:13:11 harold pwnagotchi-launcher[590]: [2019-12-09 03:13:11,966] [INFO] [epoch 3] duration=00:01:18 slept_for=00:01:00 blind=0 inactive=4 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=83% mem=50% temperature=45C reward=-0.2
Dec 09 03:14:25 harold pwnagotchi-launcher[590]: [2019-12-09 03:14:25,083] [INFO] [epoch 4] duration=00:01:13 slept_for=00:01:00 blind=0 inactive=5 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=87% mem=50% temperature=46C reward=-0.2
Dec 09 03:15:38 harold pwnagotchi-launcher[590]: [2019-12-09 03:15:38,437] [INFO] [epoch 5] duration=00:01:13 slept_for=00:01:00 blind=0 inactive=6 active=0 peers=0 tot_bond=0.00 avg_bond=0.00 hops=0 missed=0 deauths=0 assocs=0 handshakes=0 cpu=89% mem=50% temperature=46C reward=-0.2

Something is wrong, i have the same problem :confused: